View Issue Details

IDProjectCategoryView StatusLast Update
0000606Industrial-Craft²machinespublic2013-09-20 11:38
ReporterCrazy-KSKAssigned ToPlayer 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000606: Canning machine crash on mode switch trying to make cf foam
DescriptionI had a canning machine with water and cf powder in it and tried to change to the right mode when I got this crash
http://clip2net.com/s/5LpTIG

then I switched to build 183 to make sure it didn't get fixed already and got this crash on world load http://clip2net.com/s/5LquYX
TagsDevelopment Build, resolved
Minecraft Version

Activities

Crazy-KSK

2013-09-16 17:29

reporter   ~0001389

looks like the cause might have actually been trying to fill a cf gun with foam liquid since i had two canners hooked up with translocators

robot256

2013-09-17 03:25

reporter   ~0001394

"Crash when trying to fill something with the wrong liquid" is still a bug. Can you reproduce it in a system not using translocators?

Crazy-KSK

2013-09-17 15:19

reporter   ~0001396

I successfully reproduced the crash to be happening when trying to fill a cf gun with foam liquid
filling either of the tanks works fine
http://clip2net.com/s/5LOjgC
and this is what happens when I try to load the world again
http://clip2net.com/s/5LOs5g

robot256

2013-09-17 15:39

reporter   ~0001397

I noticed you got a NullPointerException, and you are using Forge 843. It's probably an IC2 issue, but I'm curious what will happen if you use Forge 871. There were a couple entries in their changelog relating to fluids and NPEs.

Crazy-KSK

2013-09-17 17:02

reporter   ~0001401

good call that fixed it...duh /o\

robot256

2013-09-17 17:05

reporter   ~0001403

Cool! What does it do now, when you give it the wrong liquid? Just nothing? I still need to download the latest version for myself and try it out. (Been running 153 on my server all week, waiting for the canning machine to be finished.)

Crazy-KSK

2013-09-17 17:39

reporter   ~0001404

well it wasn't the wrong liquid it was the liquid cf foam that when filling the cf gun caused that crash

trying to fill the cf gun with water or honey does nothing

robot256

2013-09-17 18:14

reporter   ~0001406

So now you can fill the CF sprayer with no problem, or is there still a bug?

Crazy-KSK

2013-09-17 19:30

reporter   ~0001415

now with forge 871 I can fill it fine yes

psionicx

2013-09-18 00:44

reporter   ~0001420

Last edited: 2013-09-18 01:26

View 6 revisions

version 2.0.195

I have the same crash problem. If I try to fill CF sprayer from the LEFT canner reservoir, it crashes the game. Same null point exception, even with the 871 forge!

To put CF liquid in the LEFT reservoir, it takes some effort. You need to unload it from the RIGHT (output)reservoir of the canner into the BC tank, then route it back to the canner, so the input reservoir (LEFT) becomes filled with the CF liquid. Placing an empty CF Sprayer in attempt to fill it - in "refill from the reservoir" mode, crashes the game. Filling universal fluid cells with liquid CF this way, works.

I don't belive it could be BC related, will try to remove BC after filling the LEFT reservoir and report back.

Tried with 859 and 871 forge, both same...

Issue History

Date Modified Username Field Change
2013-09-16 17:08 Crazy-KSK New Issue
2013-09-16 17:29 Crazy-KSK Note Added: 0001389
2013-09-17 03:25 robot256 Note Added: 0001394
2013-09-17 15:19 Crazy-KSK Note Added: 0001396
2013-09-17 15:20 Crazy-KSK Tag Attached: Development Build
2013-09-17 15:39 robot256 Note Added: 0001397
2013-09-17 17:01 Crazy-KSK Tag Attached: resolved
2013-09-17 17:02 Crazy-KSK Note Added: 0001401
2013-09-17 17:05 robot256 Note Added: 0001403
2013-09-17 17:39 Crazy-KSK Note Added: 0001404
2013-09-17 18:14 robot256 Note Added: 0001406
2013-09-17 19:30 Crazy-KSK Note Added: 0001415
2013-09-18 00:44 psionicx Note Added: 0001420
2013-09-18 00:45 psionicx Note Edited: 0001420 View Revisions
2013-09-18 00:46 psionicx Note Edited: 0001420 View Revisions
2013-09-18 00:47 psionicx Note Edited: 0001420 View Revisions
2013-09-18 01:18 psionicx Note Edited: 0001420 View Revisions
2013-09-18 01:26 psionicx Note Edited: 0001420 View Revisions
2013-09-20 11:38 Player Status new => resolved
2013-09-20 11:38 Player Resolution open => fixed
2013-09-20 11:38 Player Assigned To => Player